%define fname	keyring

Name:		python-keyring
Summary:	Python library to access the system keyring service
Version:	1.6
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/k/keyring/%{fname}-%{version}.zip
URL:		http://pypi.python.org/pypi/keyring
Group:		Development/Python
License:	Python
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
	
%description
The Python keyring lib provides a easy way to access the system keyring
service from python. It can be used in any application that needs safe
password storage.

This package only provides file-based pseudo-keyrings. To interface with
gnome-keyring or KWallet, please install one of python-keyring-gnome or
python-keyring-kwallet.


%prep
%setup -q -n %{fname}-%{version}
rm -rf %{fname}.egg-info
# For rpmlint warning: remove shebang from python library:
sed -i '/^#!/d' keyring/cli.py keyring/backends/_win_crypto.py
%apply_patches

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --root=%{buildroot} --compile --optimize=2

%files
%doc README.rst CHANGES.rst CONTRIBUTORS.txt
%{python_sitelib}/*egg-info
%{python_sitelib}/%{fname}
%{_bindir}/keyring

%changelog
* Sat Aug 10 2013 billybot <billybot< 1.6-1pclos2013
- update
